Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.verifier
Class SchemaProviderImpl

    java.lang.Object
      org.iso_relax.dispatcher.impl.AbstractSchemaProviderImpl
          com.sun.msv.relaxns.verifier.SchemaProviderImpl

All Implemented Interfaces:
  org.iso_relax.dispatcher.SchemaProvider

public class SchemaProviderImpl
extends org.iso_relax.dispatcher.impl.AbstractSchemaProviderImpl

implementation of SchemaProvider by using RELAX Grammar.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`SchemaProviderImpl(RELAXGrammar grammar)` creates SchemaProvider from existing RELAXGrammar.

Method Summary
`boolean` | `bind(org.xml.sax.ErrorHandler handler)` binds all IslandSchemata.
`org.iso_relax.dispatcher.IslandVerifier` | `createTopLevelVerifier()`
`static SchemaProviderImpl` | `fromGrammar(Grammar grammar)` creates SchemaProvider from generic Grammar (including TREX/RELAX Core)

Methods inherited from class org.iso_relax.dispatcher.impl.AbstractSchemaProviderImpl
`addSchema, getSchemaByNamespace, getSchemata, iterateNamespace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaProviderImpl

    public SchemaProviderImpl(RELAXGrammar grammar)

  creates SchemaProvider from existing RELAXGrammar. Since bind method is already called by RELAXNSReader, the application should not call bind method.

Method Detail

### createTopLevelVerifier

    public org.iso_relax.dispatcher.IslandVerifier createTopLevelVerifier()

### fromGrammar

    public static SchemaProviderImpl fromGrammar(Grammar grammar)

  creates SchemaProvider from generic Grammar (including TREX/RELAX Core)

### bind

    public boolean bind(org.xml.sax.ErrorHandler handler)

  binds all IslandSchemata.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD